import { AframeRegistry, AframeComponent } from "../interfaces";
interface AlNodeObject extends AframeComponent {
    update(oldData: any): void;
    tickFunction(): void;
    tick(): void;
    remove(): void;
    bindListeners(): void;
    addListeners(): void;
    removeListeners(): void;
    elMouseDown(_event: CustomEvent): void;
    canvasMouseUp(_event: MouseEvent): void;
    elRaycasterIntersected(_event: CustomEvent): void;
    elRaycasterIntersectedCleared(_event: CustomEvent): void;
}
export declare class AlNode implements AframeRegistry {
    static readonly Object: AlNodeObject;
    static readonly Tag: string;
}
export declare class AlNodeEvents {
    static SELECTED: string;
    static INTERSECTION: string;
    static INTERSECTION_CLEARED: string;
    static DRAGGING: string;
    static CONTROLS_ENABLED: string;
    static CONTROLS_DISABLED: string;
    static ANIMATION_STARTED: string;
}
export {};
